Hex (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Class Hex

- java.lang.Object
- - org.apache.cassandra.utils.Hex

-     public class Hex
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hex()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `bytesToHex(byte... bytes)`
    `static java.lang.String` | `bytesToHex(byte[] bytes, int offset, int length)`
    `static <T> java.lang.reflect.Constructor<T>` | `getProtectedConstructor(java.lang.Class<T> klass, java.lang.Class<?>... paramTypes)` Used to get access to protected/private constructor of the specified class
    `static byte[]` | `hexToBytes(java.lang.String str)`
    `static java.lang.String` | `wrapCharArray(char[] c)` Create a String from a char array with zero-copy (if available), using reflection to access a package-protected constructor of String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hex

          public Hex()

  - ### Method Detail

    - #### hexToBytes

          public static byte[] hexToBytes(java.lang.String str)

    - #### bytesToHex

          public static java.lang.String bytesToHex(byte... bytes)

    - #### bytesToHex

          public static java.lang.String bytesToHex(byte[] bytes,
                                                    int offset,
                                                    int length)

    - #### wrapCharArray

          public static java.lang.String wrapCharArray(char[] c)

      Create a String from a char array with zero-copy (if available), using reflection to access a package-protected constructor of String.

    - #### getProtectedConstructor

          public static <T> java.lang.reflect.Constructor<T> getProtectedConstructor(java.lang.Class<T> klass,
                                                                                     java.lang.Class<?>... paramTypes)

      Used to get access to protected/private constructor of the specified class
      Parameters:
        `klass` - - name of the class
        `paramTypes` - - types of the constructor parameters
      Returns:
        Constructor if successful, null if the constructor cannot be accessed

Copyright © 2018 The Apache Software Foundation